#!/bin/bash

fallocate -l 1G /home/test.img
fallocate -l 1G /home/scratch.img
MNT1=/loopmnt
MNT2=/loopsch
umount -d $MNT1
umount -d $MNT2
losetup -D
mkdir -p $MNT1
mkdir -p $MNT2
losetup -D
DEV1=$(losetup --find --show /home/test.img)
DEV2=$(losetup --find --show /home/scratch.img)

[ -b $DEV1 ] || { echo "no dev"; exit 1; }
[ -b $DEV2 ] || { echo "no dev"; exit 1; }

umount $DEV1
umount $MNT1

mkfs.ext4 -Fq -b 4096 $DEV1
#mkfs.xfs -fq -b size=4096 $DEV1
if test $? -ne 0 ; then
	echo "mkfs failed"
	exit 1
fi

mount $DEV1 $MNT1
if test $? -ne 0 ; then
	echo "mount $DEV1 $MNT1 failed"
	exit 1
fi

cat > /opt/ltp/runtest/tfile <<EOF
proc01 proc01 -m 128
ftruncate04 ftruncate04
ftruncate04_64 ftruncate04
EOF

cnt=0
while true ; do
	echo "ledp loop $cnt" >> /dev/kmsg
	/opt/ltp/runltp -d $MNT1 -f tfile -p -z $DEV2 \
		-l ltp-tfile.log -o ltp-tfile.out
	((cnt=cnt+1))
done
